rte_event_vector_adapter(3)

NAME
rte_event_vector_adapter

SYNOPSIS

#include <rte_event_vector_adapter.h>

  Data Fields

rte_event_vector_adapter_enqueue_t enqueue
struct rte_event_vector_adapter_data * data
const struct event_vector_adapter_ops * ops
uint32_t adapter_id
uint8_t used: 1

Detailed Description

Vector adapter structure

Definition at line 228 of file rte_event_vector_adapter.h.

Field Documentation

  rte_event_vector_adapter_enqueue_t enqueue
Pointer to driver enqueue function.

Definition at line 229 of file rte_event_vector_adapter.h.

  struct rte_event_vector_adapter_data* data
Pointer to the adapter data

Definition at line 231 of file rte_event_vector_adapter.h.

  const struct event_vector_adapter_ops* ops
Functions exported by adapter driver

Definition at line 233 of file rte_event_vector_adapter.h.

  uint32_t adapter_id
Identifier of the adapter instance.

Definition at line 236 of file rte_event_vector_adapter.h.

  uint8_t used
Flag to indicate that this adapter is being used.

Definition at line 238 of file rte_event_vector_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.